aboutsummaryrefslogtreecommitdiff
path: root/build_and_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_and_test.sh')
-rwxr-xr-xbuild_and_test.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/build_and_test.sh b/build_and_test.sh
new file mode 100755
index 0000000..43c6308
--- /dev/null
+++ b/build_and_test.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+set -e
+
+j=3
+
+printf "gcc build\n"
+git clean -fdx 2>&1
+export CC=gcc
+./autogen.sh
+./configure
+make -j$j
+
+printf "\nunit test\n"
+cd libinotifytools/src/
+make -j$j test
+./test
+cd -
+
+printf "\nintegration test\n"
+cd t
+make -j$j
+cd -
+
+printf "\nclang build\n"
+git clean -fdx 2>&1
+export CC=clang
+./autogen.sh
+./configure
+make -j$j
+
+printf "\nunit test\n"
+cd libinotifytools/src/
+make -j$j test
+./test
+cd -
+
+printf "\nintegration test\n"
+cd t
+make -j$j
+